Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRémy Coutable <remy@rymai.me>2018-05-22 19:26:30 +0300
committerRémy Coutable <remy@rymai.me>2018-05-22 19:26:30 +0300
commit0c977d1725ce2c244b8b9f5cee859c55b8def79b (patch)
treebc108633cfb8fcd0fcf25b1ba72440259fd7afb9 /scripts
parent86c155a190ef55c8c7eb42c6045660ef895707e8 (diff)
parentfba580e37fce90060e5a208c36779a6a2adc3a78 (diff)
Merge branch 'dz-no-ee-check' into 'master'
Add check for top-level ee directory in CE repo Closes #46239 See merge request gitlab-org/gitlab-ce!19062
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/no-ee-check7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/no-ee-check b/scripts/no-ee-check
new file mode 100755
index 00000000000..29d319dc822
--- /dev/null
+++ b/scripts/no-ee-check
@@ -0,0 +1,7 @@
+#!/usr/bin/env ruby
+ee_path = File.join(File.expand_path(__dir__), '../ee')
+
+if Dir.exist?(ee_path)
+ puts 'The repository contains /ee directory. There should be no /ee directory in CE repo.'
+ exit 1
+end